# Multicast DNS

By default, the xpra server will advertise the session it creates on the local network using Multicast DNS.

To turn off this feature, use the `mdns=no` option.

## Usage

To view the list of sessions, run:
`xpra list-mdns`

To use the GUI mdns session launcher, run:
`xpra mdns-gui`

The user interface should look like this:

And you should be able to connect to those sessions simply by pressing the "connect" button.

## Limitations

- some features are only available in newer versions
- some platforms may not have the required libraries
- no IPv6 support: #1345

## Links:

- mdns service type
- mdns gui
- mdns discovery
- macos and win32 listener support